Subject: Re: Non-ASCII paths and git-cvsserver

From: Jakub Narebski <[email-masked]>
Date: Mon, 13 Nov 2006 15:20:44 +0100

sf wrote:

> Thanks, Junio. Paths with umlauts are returned correctly now both in 
> UTF-8 and ISO-8859-1. I guess git-cvsserver is now as encoding agnostic 
> as git core.

By the way, now that git has per user config file, ~/.gitconfig, perhaps
it is time to add i18n.filesystemEncoding configuration variable, to
automatically convert between filesystem encoding (somthing you usually
don't have any control over) and UTF-8 encoding of paths in tree objects.
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git